Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPalette.ColorGroup

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QPalette.ColorGroup

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QPalette

    public static final class QPalette.ColorGroup

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QPalette.ColorGroup` | `Active`
`static QPalette.ColorGroup` | `All`
`static QPalette.ColorGroup` | `Current`
`static QPalette.ColorGroup` | `Disabled`
`static QPalette.ColorGroup` | `Inactive`
`static QPalette.ColorGroup` | `NColorGroups`

Method Summary
`static QPalette.ColorGroup` | `resolve(int value)` Returns the QPalette$ColorGroup constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPalette.ColorGroup` | `valueOf(java.lang.String name)`
`static QPalette.ColorGroup[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Active

    public static final QPalette.ColorGroup Active

### Disabled

    public static final QPalette.ColorGroup Disabled

### Inactive

    public static final QPalette.ColorGroup Inactive

### NColorGroups

    public static final QPalette.ColorGroup NColorGroups

### Current

    public static final QPalette.ColorGroup Current

### All

    public static final QPalette.ColorGroup All

Method Detail

### values

    public static QPalette.ColorGroup[] values()

### valueOf

    public static QPalette.ColorGroup valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPalette.ColorGroup resolve(int value)

  Returns the QPalette$ColorGroup constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD